        !COMPILER-GENERATED INTERFACE MODULE: Thu Nov 13 16:37:32 2014
        MODULE UKR__genmod
          INTERFACE 
            SUBROUTINE UKR(KU,X,XU,D2,D3,REREF,RHOU,EMA,T,R,H12,CD,NAB, &
     &XE,GAMM,NRU)
              INTEGER(KIND=4) :: KU
              REAL(KIND=4) :: X
              REAL(KIND=4) :: XU
              REAL(KIND=4) :: D2
              REAL(KIND=4) :: D3
              REAL(KIND=4) :: REREF
              REAL(KIND=4) :: RHOU
              REAL(KIND=4) :: EMA
              REAL(KIND=4) :: T
              REAL(KIND=4) :: R
              REAL(KIND=4) :: H12
              REAL(KIND=4) :: CD
              INTEGER(KIND=4) :: NAB
              REAL(KIND=4) :: XE
              REAL(KIND=4) :: GAMM
              INTEGER(KIND=4) :: NRU
            END SUBROUTINE UKR
          END INTERFACE 
        END MODULE UKR__genmod
